diff --git a/src/search.c b/src/search.c
index 066bc2c..960646f 100644
--- a/src/search.c
+++ b/src/search.c
@@ -467,7 +467,7 @@ void search_show_replace_dialog(void)
 	if (widgets.replace_dialog == NULL)
 	{
 		GtkWidget *label_find, *label_replace, *entry_find, *entry_replace,
-			*check_close, *button, *rbox, *fbox, *vbox, *exp, *bbox;
+			*check_close, *button, *rbox, *fbox, *vbox, *alignment, *frame, *bbox;
 		GtkSizeGroup *label_size;

 		load_monospace_style();
@@ -539,9 +539,13 @@ void search_show_replace_dialog(void)
 			add_find_checkboxes(GTK_DIALOG(widgets.replace_dialog)));

 		/* Now add the multiple replace options */
-		exp = gtk_expander_new_with_mnemonic(_("Re_place All"));
+		frame = gtk_frame_new(_("Replace All"));
 		bbox = gtk_hbutton_box_new();

+		alignment = gtk_alignment_new(0.5, 0.5, 1, 1);
+		gtk_container_add(GTK_CONTAINER(frame), alignment);
+		gtk_alignment_set_padding(GTK_ALIGNMENT(alignment), 0, 4, 12, 4);
+
 		button = gtk_button_new_with_mnemonic(_("In Se_lection"));
 		ui_widget_set_tooltip_text(button,
 			_("Replace all matches found in the currently selected text"));
@@ -573,8 +577,8 @@ void search_show_replace_dialog(void)
 		ui_hbutton_box_copy_layout(
 			GTK_BUTTON_BOX(GTK_DIALOG(widgets.replace_dialog)->action_area),
 			GTK_BUTTON_BOX(bbox));
-		gtk_container_add(GTK_CONTAINER(exp), bbox);
-		gtk_container_add(GTK_CONTAINER(vbox), exp);
+		gtk_container_add(GTK_CONTAINER(alignment), bbox);
+		gtk_container_add(GTK_CONTAINER(vbox), frame);

 		gtk_widget_show_all(widgets.replace_dialog);
 	}
